/*
   unidist() -- routine to return a uniform distribution of numbers in the
                interval (0,1).

                Written by Paul Hardy, USC, July 1994.
*/
double unidist() {
double GFSR();
register double retval;

do {
   retval = GFSR();
   } while (retval <= 0.0 || retval >= 1.0);

return(retval);
}

/*
   Routine for Fortran compatibility.
*/
double unidist_() {
double unidist();
return(unidist());
}
