
/* McCaldon-Argos distribution of protein frequencies, for p- and gamma-value
   software.
*/

static double seqaln_mccaldon[26] = { /* McCaldon-Argos letter dist for pvm* */
	0.083, 0.083, 0.100, 0.153, 0.215,  /* A--E frequencies */
	0.254, 0.326, 0.348, 0.400, 0.400,  /* F--J frequencies */
	0.457, 0.547, 0.571, 0.615, 0.615,  /* K--O frequencies */
	0.666, 0.706, 0.763, 0.832, 0.890,  /* P--T frequencies */
	0.890, 0.956, 0.969, 0.969, 1.000,  /* U--Y frequencies */
	1.000  };                           /* Z frequency      */

static double seqaln_dnadis[26] = { /* Even distribution of A,C,G,T for pv* */
	0.25, 0.25, 0.50, 0.50, 0.50, 0.50, 0.75, 0.75, /* A--H frequencies */
	0.75, 0.75, 0.75, 0.75, 0.75, 0.75, 0.75, 0.75, /* I--P frequencies */
	0.75, 0.75, 0.75, 1.00, 1.00, 1.00, 1.00, 1.00, /* Q--X frequencies */
	1.00, 1.00 };                                   /* Y, Z frequencies */
