/*
   Print the traceback list (for debugging).
*/
/*
   Author: Paul Hardy, U.S.C., December 1995.

   Version 1.0 release date: December 1995.
*/
#include <stdio.h>
#include "seqaln.h"

print_trace(scoring,results,io)
struct SEQALN_CONSTANTS *scoring;
struct SEQALN_RESULTS *results;
struct SEQALN_IO *io;
{
SEQALN_TRACE *list;

/*
   Print the type of traceback this is; useful for multiple tracebacks.
*/
(void)fprintf(io->STDOUT,"### Traceback list:");
if (scoring->flip) {
   (void)fprintf(io->STDOUT," flip");
 }
else if (scoring->traceupper) {
   (void)fprintf(io->STDOUT," upper");
 }
else {
   (void)fprintf(io->STDOUT," lower");
 }
if (scoring->envelope) {
   (void)fprintf(io->STDOUT," envelope");
 }
(void)fprintf(io->STDOUT,"\n");

for (list = results->trace; list != (SEQALN_TRACE *)NULL; list = list->next) {
   (void)fprintf(io->STDOUT,"%d %d\n", list->i, list->j);
}
(void)fprintf(io->STDOUT,"\n");
return;
}
