/* reverse_list.c -- subroutine to reverse a traceback list */
/*
   Author: Paul Hardy, U.S.C., December 1995.

   Version 1.0 release date: December 1995.
*/
#include <stdio.h>
#include "seqaln.h"

reverse_list(list)
SEQALN_TRACE **list;
{
SEQALN_TRACE *tmp, *current, *prev;

tmp = *list;
current = (SEQALN_TRACE *)NULL;

while (tmp != (SEQALN_TRACE *)NULL) {
  prev = current;
  current = tmp;
  tmp = current->next;
  current->next = prev;
}

*list = current;

return;
}
