/*
   asc2num.c -- subroutine to convert an ASCII letter into a number, 0..25.
*/
/*
   Author: Paul Hardy, U.S.C., December 1995.

   Version 1.2 (July 1996): changed to support '*' from BLAST matrices.
   Version 1.0 release date: December 1995.
*/
#include <ctype.h>
#include "seqaln.h"

INLINE int asc2num(a)
int a;
{
int x;

x = a - 'A';  /* normal range is 'A' <= a <= 'Z';  0 <= x <= 25 */
if (x < 0)    /* handles '*' and '.' as characters              */
   x = 26;
return ( x );
}
