/*
   code2seq.c -- module to generate sequence letters from letter codes
                 in a sequence structure.
*/
/*
   Author: Paul Hardy, U.S.C., October 1996.

   Version 1.17 release date: October 1996.
*/
#include <stdio.h>
#include "seqaln.h"

code2seq(seq)
struct SEQALN_SEQUENCE *seq;
{
  int i;
  char *newmem();

  if (seq->seq == (char *)NULL) {
     seq->seq = newmem((seq->len + 1) * sizeof(char));
     }

  seq->seq[0] = '-';
  for (i=1; i<=seq->len; i++) {
     seq->seq[i] = seq->code[i] + 'A';
     }
  seq->seq[i] = '\0';

  return;
}
