/* Function to load the first sequence in file name fn into sequence
   structure; return value is length of the sequence.  This is a simplified
   interface to the full load_seq, for standalone programs which just want
   to load a sequence.

*/
/*
   Author: Paul Hardy, U.S.C., November 1996.

   Version 1.17: first appearance of this function.
*/
#include <stdio.h>
#include <ctype.h>
#include "seqaln.h"

int load_seq_lite(sequence)
     struct SEQALN_SEQUENCE *sequence;
{
int retval;      /* return value of function   */
char *newmem();  /* function in seqaln library */
struct SEQALN_IO *io;

io = (struct SEQALN_IO *)newmem(1, sizeof(struct SEQALN_IO));
io->STDIN = stdin;
io->STDOUT = stdout;
io->STDERR = stderr;

retval = load_seq(sequence, (struct SEQALN_CONSTANTS *)NULL, io);
return(retval);
}
