/* returns char * to new block of memory; prints error message if mem. full */
/*
   Author: Paul Hardy, U.S.C., December 1995.

   Version 1.0 release date: December 1995.
*/
#include <stdio.h>
#include "seqaln.h"


char *newmem(number, size)
     int number, size;
{
  char *calloc();
  char *memp;
  
  memp=calloc(number, size);
  if (memp==0L)
    { 
      /* Can't use io->STDERR; we might be allocating it! */
      (void)fprintf(stderr,"Memory Full! %d requested.\n", number*size);
      exit(-1);
    }
  return(memp);
}
