#!/bin/sh
# Remove, in order of expression:
#    alignment lines beginning with position then letter
#    alignment lines beginning with position then deletion
#    alignment lines with mismatches
#    alignment lines with matches
#    the beginning location of the best score
#
grep -v '[0-9] [A-Z]' $1 | \
   grep -v '[0-9] -' | \
   grep -v '\*' | \
   grep -v '|' | \
   sed -e 's/[0-9]*\.\.//g'
